Enigform Version History

12 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 0.8.3.1.1-signed.1-signed 23.5 KiB Works with Firefox 1.5 and later

Added --skip-verify when not verifying server signatures. Thanks to Mark Roxberry for this windows testing!

Version 0.8.3.0 19.0 KiB Works with Firefox 1.5 - 3.0.*

Fix statusFile bug on Windows.

Version 0.8.2.9 19.0 KiB Works with Firefox 1.5 - 3.0.*

Typo.

Version 0.8.2.8 19.0 KiB Works with Firefox 1.5 - 3.0.*

Added preference to verify server responses in Secure Session Initiation (default=off).

Version 0.8.2.4 19.0 KiB Works with Firefox 1.5 - 3.0.*

Fixed the strlen() bug.

Version 0.8.2.2 19.0 KiB Works with Firefox 1.5 - 3.0.*

Works OK with current mod_openpgp code from SVN.

Version 0.8.2.1 18.0 KiB Works with Firefox 1.5 - 3.0.*

Better gpg detection across platforms. Generally works in Windows, but there's an obscure bug I can't detect yet. I recon I need to use Windows some day.

Version 0.8.0 14.0 KiB Works with Firefox 1.5 - 2.0.0.*

Enigform is now an XPCOM Component (nsIEnigformService). A new preferences system was added. The "multiple passphrase dialog" bug is now fixed. The always sign option depends on gpg-agent usage.

Version 0.7.8 11.0 KiB Works with Firefox 1.5b1 - 2.0.0.*

A new GPGDeploySignature algorithm that correctly manages larger keys. This will make Enigform work for those people that were having issues with verification at the test and demo sites. The PHP API has changed accordingly.

Version 0.7.6 10.0 KiB Works with Firefox 1.5b1 - 2.0.0.*

Linux, Windows and OSX support. Some important changes, but at the protocol level.

Version 0.7.0 9.0 KiB Works with Firefox 1.5b1 - 2.0.0.*

This ner version features Ajax, GET and POST payload signing, while maintaning backwards compatibility with HTTP.

Version 0.6.5 9.0 KiB Works with Firefox 1.5b1 - 2.0.0.*

New startup checks, new triggering mechanism, ajax support.